import subprocess

BOOTSTRAP_ARCHITECTURE = 'amd64'
BOOTSTRAP_VARIANT = 'minbase'


def bootstrap(root_path: str, suite: str, mirror_location: str):
    command = [
        'debootstrap',
        '--arch', BOOTSTRAP_ARCHITECTURE,
        '--variant', BOOTSTRAP_VARIANT,
        suite,
        root_path,
        mirror_location,
    ]
    completed_process = subprocess.run(command, capture_output=True)
    return completed_process
